SYMLINK_REMOVE(1)

NAME
symlink_remove - Remove a symbolic link.

SYNOPSIS
symlink remove [-name] <file name> [-help]

DESCRIPTION
The symlink remove command removes a symbolic link to a file.

CAUTIONS
The symlink commands are only available on Windows platforms. On other platforms, use the rm command.

OPTIONS

[-name] <file name>
    Specify one or more symbolic links to remove. The -name is optional, but the file name is not.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
This command has no output except error and help messages. If the command is passed a real file instead of a symlink, it prints "symlink: 'file name' is not a symlink" instead of removing the file.

EXAMPLES
Given that file "mylink" is a link pointing to file "myfile", the following commands will remove the link "mylink":

   % symlink remove -name mylink
   % symlink remove mylink

PRIVILEGE REQUIRED
The issuer must have the "l" (look) and "d" (delete) permissions on the ACL of the directory that houses the symlink.

SEE ALSO
symlink(1), symlink_list(1), symlink_make(1)

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.